package com.steerinfo.ems.tcmtimelist.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModelProperty;

public class TCmTimelist implements IBasePO<String> {

    /**
     * 记录ID(RECORDID,VARCHAR,255)
     */
    @ApiModelProperty(value="记录ID",required=false)
    private String recordid;

    /**
     * 序列ID(DEFID,VARCHAR,40)
     */
    @ApiModelProperty(value="序列ID",required=true)
    private String defid;

    /**
     * 序列名称(DEFNAME,VARCHAR,60)
     */
    @ApiModelProperty(value="序列名称",required=true)
    private String defname;

    /**
     * 时间粒度(TIMEGRANID,VARCHAR,40)
     */
    @ApiModelProperty(value="时间粒度",required=true)
    private String timegranid;

    /**
     * 粒度默认(TIMEDEFAULT,VARCHAR,1)
     */
    @ApiModelProperty(value="粒度默认",required=true)
    private String timedefault;

    /**
     * 目标时间(DESTTIME,VARCHAR,40)
     */
    @ApiModelProperty(value="目标时间",required=true)
    private String desttime;

    /**
     * 起始时间(STARTTIME,VARCHAR,40)
     */
    @ApiModelProperty(value="起始时间",required=true)
    private String starttime;

    /**
     * 截止时间(ENDTIME,VARCHAR,40)
     */
    @ApiModelProperty(value="截止时间",required=true)
    private String endtime;

    /**
     * 内容格式(TIMEFORMAT,VARCHAR,40)
     */
    @ApiModelProperty(value="内容格式",required=true)
    private String timeformat;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.recordid;
    }

    @Override
    public void setId(String recordid) {
        this.recordid = recordid == null ? null : recordid.trim();
    }

    public String getRecordid() {
        return recordid;
    }

    public void setRecordid(String recordid) {
        this.recordid = recordid == null ? null : recordid.trim();
    }

    public String getDefid() {
        return defid;
    }

    public void setDefid(String defid) {
        this.defid = defid == null ? null : defid.trim();
    }

    public String getDefname() {
        return defname;
    }

    public void setDefname(String defname) {
        this.defname = defname == null ? null : defname.trim();
    }

    public String getTimegranid() {
        return timegranid;
    }

    public void setTimegranid(String timegranid) {
        this.timegranid = timegranid == null ? null : timegranid.trim();
    }

    public String getTimedefault() {
        return timedefault;
    }

    public void setTimedefault(String timedefault) {
        this.timedefault = timedefault == null ? null : timedefault.trim();
    }

    public String getDesttime() {
        return desttime;
    }

    public void setDesttime(String desttime) {
        this.desttime = desttime == null ? null : desttime.trim();
    }

    public String getStarttime() {
        return starttime;
    }

    public void setStarttime(String starttime) {
        this.starttime = starttime == null ? null : starttime.trim();
    }

    public String getEndtime() {
        return endtime;
    }

    public void setEndtime(String endtime) {
        this.endtime = endtime == null ? null : endtime.trim();
    }

    public String getTimeformat() {
        return timeformat;
    }

    public void setTimeformat(String timeformat) {
        this.timeformat = timeformat == null ? null : timeformat.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", recordid=").append(recordid);
        sb.append(", defid=").append(defid);
        sb.append(", defname=").append(defname);
        sb.append(", timegranid=").append(timegranid);
        sb.append(", timedefault=").append(timedefault);
        sb.append(", desttime=").append(desttime);
        sb.append(", starttime=").append(starttime);
        sb.append(", endtime=").append(endtime);
        sb.append(", timeformat=").append(timeformat);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}